Index: external/ExRootAnalysis/ExRootResult.cc
===================================================================
--- external/ExRootAnalysis/ExRootResult.cc	(revision cab38f67bfdb282911fa60f8e3ae4346ef70ee4a)
+++ external/ExRootAnalysis/ExRootResult.cc	(revision 341014c3f3bd3259d845de52bde54ba6c3b4ed08)
@@ -12,18 +12,18 @@
 #include "ExRootAnalysis/ExRootUtilities.h"
 
-#include "TROOT.h"
+#include "TCanvas.h"
+#include "TClass.h"
 #include "TFile.h"
-#include "TClass.h"
-#include "TStyle.h"
-#include "TCanvas.h"
-#include "TLegend.h"
-#include "TPaveText.h"
-#include "TPaveStats.h"
-#include "TList.h"
+#include "TFolder.h"
 #include "TH2.h"
 #include "THStack.h"
+#include "TLegend.h"
+#include "TList.h"
+#include "TObjArray.h"
+#include "TPaveStats.h"
+#include "TPaveText.h"
 #include "TProfile.h"
-#include "TObjArray.h"
-#include "TFolder.h"
+#include "TROOT.h"
+#include "TStyle.h"
 
 #include <iostream>
@@ -37,5 +37,6 @@
 //------------------------------------------------------------------------------
 
-ExRootResult::ExRootResult() : fCanvas(0), fFolder(0)
+ExRootResult::ExRootResult() :
+  fCanvas(0), fFolder(0)
 {
 }
@@ -45,5 +46,5 @@
 ExRootResult::~ExRootResult()
 {
-  set<TObject*>::iterator itPool;
+  set<TObject *>::iterator itPool;
   for(itPool = fPool.begin(); itPool != fPool.end(); ++itPool)
   {
@@ -68,5 +69,5 @@
   TFile *file = new TFile(fileName, "RECREATE");
   file->cd();
-  std::map<TObject*, PlotSettings>::iterator itPlotMap;
+  std::map<TObject *, PlotSettings>::iterator itPlotMap;
   for(itPlotMap = fPlotMap.begin(); itPlotMap != fPlotMap.end(); ++itPlotMap)
   {
@@ -123,5 +124,5 @@
   // gStyle->SetOptFit(101);
 
-  fCanvas = static_cast<TCanvas*>(gROOT->FindObject("c1"));
+  fCanvas = static_cast<TCanvas *>(gROOT->FindObject("c1"));
   if(fCanvas)
   {
@@ -154,5 +155,5 @@
   if(!plot) return;
 
-  std::map<TObject*, PlotSettings>::iterator itPlotMap = fPlotMap.find(plot);
+  std::map<TObject *, PlotSettings>::iterator itPlotMap = fPlotMap.find(plot);
   if(itPlotMap != fPlotMap.end())
   {
@@ -178,8 +179,8 @@
   if(plot->IsA()->InheritsFrom(TH1::Class()))
   {
-    histogram = static_cast<TH1*>(plot);
-  }
-
-  map<TObject*, PlotSettings>::iterator itPlotMap = fPlotMap.find(plot);
+    histogram = static_cast<TH1 *>(plot);
+  }
+
+  map<TObject *, PlotSettings>::iterator itPlotMap = fPlotMap.find(plot);
   if(itPlotMap != fPlotMap.end())
   {
@@ -224,5 +225,5 @@
   TCanvas *canvas = GetCanvas();
 
-  map<TObject*, PlotSettings>::iterator itPlotMap;
+  map<TObject *, PlotSettings>::iterator itPlotMap;
 
   for(itPlotMap = fPlotMap.begin(); itPlotMap != fPlotMap.end(); ++itPlotMap)
@@ -236,10 +237,10 @@
     if(object->IsA()->InheritsFrom(TH1::Class()))
     {
-      histogram = static_cast<TH1*>(object);
+      histogram = static_cast<TH1 *>(object);
     }
     else if(object->IsA()->InheritsFrom(THStack::Class()))
     {
-      stack = static_cast<THStack*>(object);
-      histogram = static_cast<TH1*>(stack->GetHists()->First());
+      stack = static_cast<THStack *>(object);
+      histogram = static_cast<TH1 *>(stack->GetHists()->First());
     }
 
@@ -271,5 +272,5 @@
     if(histogram)
     {
-      stats = static_cast<TPaveStats*>(histogram->FindObject("stats"));
+      stats = static_cast<TPaveStats *>(histogram->FindObject("stats"));
       if(stats)
       {
@@ -300,7 +301,7 @@
 
 TH1 *ExRootResult::AddHist1D(const char *name, const char *title,
-                             const char *xlabel, const char *ylabel,
-                             Int_t nxbins, Axis_t xmin, Axis_t xmax,
-                             Int_t logx, Int_t logy)
+  const char *xlabel, const char *ylabel,
+  Int_t nxbins, Axis_t xmin, Axis_t xmax,
+  Int_t logx, Int_t logy)
 {
   TH1F *hist = new TH1F(name, title, nxbins, xmin, xmax);
@@ -324,7 +325,7 @@
 
 TH1 *ExRootResult::AddHist1D(const char *name, const char *title,
-                             const char *xlabel, const char *ylabel,
-                             Int_t nxbins, const Float_t *bins,
-                             Int_t logx, Int_t logy)
+  const char *xlabel, const char *ylabel,
+  Int_t nxbins, const Float_t *bins,
+  Int_t logx, Int_t logy)
 {
   TH1F *hist = new TH1F(name, title, nxbins, bins);
@@ -348,7 +349,7 @@
 
 TProfile *ExRootResult::AddProfile(const char *name, const char *title,
-                                   const char *xlabel, const char *ylabel,
-                                   Int_t nxbins, Axis_t xmin, Axis_t xmax,
-                                   Int_t logx, Int_t logy)
+  const char *xlabel, const char *ylabel,
+  Int_t nxbins, Axis_t xmin, Axis_t xmax,
+  Int_t logx, Int_t logy)
 {
   TProfile *profile = new TProfile(name, title, nxbins, xmin, xmax);
@@ -372,8 +373,8 @@
 
 TH2 *ExRootResult::AddHist2D(const char *name, const char *title,
-                             const char *xlabel, const char *ylabel,
-                             Int_t nxbins, Axis_t xmin, Axis_t xmax,
-                             Int_t nybins, Axis_t ymin, Axis_t ymax,
-                             Int_t logx, Int_t logy)
+  const char *xlabel, const char *ylabel,
+  Int_t nxbins, Axis_t xmin, Axis_t xmax,
+  Int_t nybins, Axis_t ymin, Axis_t ymax,
+  Int_t logx, Int_t logy)
 {
   TH2F *hist = new TH2F(name, title, nxbins, xmin, xmax, nybins, ymin, ymax);
